This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 206487 - Review Request: jd - A 2ch browser
Review Request: jd - A 2ch browser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-14 13:46 EDT by Mamoru TASAKA
Modified: 2009-08-29 16:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 19:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-09-14 13:46:21 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/jd.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/jd-170-0.1.b_060914.fc6.src.rpm
Description: 

JD is a 2ch browser based on gtkmm2.

-------------------------------------
NOTE: For reviews: from en.wikipedia:

2channel (2ni channeru?, 2ch for short) is thought to be the largest Internet forum in the world.With over 10 million visitors every day (as of 2001), it is gaining significant influence in Japanese society, approaching that of traditional mass media such as television, radio, and magazines.
Comment 1 Chitlesh GOORAH 2006-09-24 15:08:03 EDT
* missing Requires: gtkmm24

-bash-3.1# rpm -ivh jd-170-0.1.b_060914.fc5.i386.rpm
error: Failed dependencies:
        libatkmm-1.6.so.1 is needed by jd-170-0.1.b_060914.fc5.i386
        libgdkmm-2.4.so.1 is needed by jd-170-0.1.b_060914.fc5.i386
        libgtkmm-2.4.so.1 is needed by jd-170-0.1.b_060914.fc5.i386
        libpangomm-1.4.so.1 is needed by jd-170-0.1.b_060914.fc5.i386
Comment 2 Mamoru TASAKA 2006-09-24 19:59:10 EDT
(In reply to comment #1)
> * missing Requires: gtkmm24
> 
> -bash-3.1# rpm -ivh jd-170-0.1.b_060914.fc5.i386.rpm
> error: Failed dependencies:
>         libatkmm-1.6.so.1 is needed by jd-170-0.1.b_060914.fc5.i386
>         libgdkmm-2.4.so.1 is needed by jd-170-0.1.b_060914.fc5.i386
>         libgtkmm-2.4.so.1 is needed by jd-170-0.1.b_060914.fc5.i386
>         libpangomm-1.4.so.1 is needed by jd-170-0.1.b_060914.fc5.i386

As written in
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0711805dd733fe3b31741e9d5236d72941a79d94

requires to satisfy libraries (in this case gtkmm24) is not needed to
be written explicitly. 
rpmbuild automatically adds those libraries'
dependency to rpm package and yum will automatically choose other
rpms to satisfy libraries' dependency.

Comment 3 Chitlesh GOORAH 2006-09-25 03:19:16 EDT
With yum, yes it will be pulled. 

But installing by hand, like I did, the normal user can't guess which package
he/she needs.

ps: it's the same case as gputils in ktechlab.
Comment 4 Mamoru TASAKA 2006-09-25 04:13:34 EDT
(In reply to comment #3)
> With yum, yes it will be pulled. 
> 
> But installing by hand, like I did, the normal user can't guess which package
> he/she needs.

It may be, however, this is already true for other packages.
You can see this by 'rpm -q --whatrequires firefox', for example.
Lots of X related requirement are specified by only library dependency.

> 
> ps: it's the same case as gputils in ktechlab.
That is not true.
For Ktechlab case, the requirement gputils is added because the dependency
for gputils is not checked by library dependency but it requires binaries.
in gputils as ktechlab tries to call the binaries.
Comment 5 Mamoru TASAKA 2006-09-25 04:44:16 EDT
Well, upstream has updated source and changed versioning,
so will you check the following?

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/jd-1.7.0-0.1.rc060921.src.rpm
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/jd.spec

( I have not added gtkmm24 for Requires)
Comment 6 Chitlesh GOORAH 2006-09-26 02:29:05 EDT
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- No locales present
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No subpackages present.

Mamuro can you remove AUTHORS from %doc since it's empty ?

The case of missing gtkmm24, you are right. There will be less breakage via yum?

This is package has been APPROVED
Comment 7 Mamoru TASAKA 2006-09-26 02:49:48 EDT
Thank you for reviewing and approving this package!!
Now I will try to import this to cvs.

(In reply to comment #6) 
> Mamuro can you remove AUTHORS from %doc since it's empty ?
I think AUTHORS file is not included in jd (binary) package.

> 
> The case of missing gtkmm24, you are right. There will be less breakage via yum?
Yes. Actually I installed this (jd) by using yum as following.

When I want to review a package or to install some packages rebuilt by
myself,

* I usually rebuild it in mock, then the binary rpms are created.
* Then I usually move all binary rpms (which are rebuilt by me in mock) to
  some directory (for me /var/lib/mock/LOCALRPMS/i386)
* Move to /var/lib/mock/LOCALRPMS/i386, then I do:

chmod 0644 *rpm ; createrepo $(pwd) ; chmod 0755 repodata/ ; chmod 0644 repodata/*

  then repository metadata is created (createrepo rpm is in CORE).
* I have the following repository entry in /etc/yum.repos.d/LOCAL.repo:
--------------------------------------
[LOCAL]
name=LOCAL - locally created rpms
baseurl=file:///var/lib/mock/LOCALRPMS/i386/
enabled=1
gpgcheck=0
--------------------------------------

* Then I can install rpms rebuilt locally by me with yum.
Comment 8 Chitlesh GOORAH 2006-09-26 03:09:12 EDT
Thanks :)
That's experience talking :)
Comment 9 Mamoru TASAKA 2006-09-26 03:16:56 EDT
Now:

* Rebuild for FE-devel succeeded.
* SyncNeeded is requiested for FE-5.

When rebuild for FE-5 ends, I will close this bug.
Comment 10 Mamoru TASAKA 2006-09-26 19:53:47 EDT
Rebuild for FE-5 ended.

Thank you for reviewing and approving this, again. Closing.
Comment 11 Mamoru TASAKA 2007-10-04 08:27:11 EDT
Package Change Request
======================
Package Name: jd
New Branches: F-8
======================
Comment 12 Kevin Fenzi 2007-10-05 12:43:58 EDT
cvs done.
Comment 13 Mamoru TASAKA 2008-10-02 11:50:11 EDT
Package Change Request
======================
Package Name: jd
New Branches: F-10
Owners: mtasaka

Early branching request.
Comment 14 Huzaifa S. Sidhpurwala 2008-10-03 05:46:52 EDT
cvs done
Comment 15 Mamoru TASAKA 2009-03-31 00:28:38 EDT
Package Change Request
======================
Package Name: jd
New Branches: F-11
Owners: mtasaka

Early branching request.
Comment 16 Dennis Gilmore 2009-04-01 12:26:29 EDT
CVS Done
Comment 17 Mamoru TASAKA 2009-08-29 07:10:20 EDT
Package Change Request
======================
Package Name: jd
New Branches: F-12
Owners: mtasaka

Early branching request.
Comment 18 Jason Tibbitts 2009-08-29 16:19:07 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.